/**
 *  sense-to-base
 *
 *  Any node which transmits signal
 *
 *  Kawin Khanobthamchai
 *  Sirut Kiatkeree
 *  Thanatwit Angsarawanee
 *
 */
#include <stdio.h>
#include <motelib/system.h>
#include <motelib/timer.h>
#include <motelib/uart.h>
#include <motelib/sensor.h>
#include <motelib/actor.h>
#include <motelib/radio.h>

Timer t;
#define TYPE 99

void senseDone(uint16_t value);
void sense(Timer *t);

void boot()
{
    uartEnable(true,true);
    timerCreate(&t);
    timerStart(&t, TIMER_PERIODIC, 500, sense);
}

void sense(Timer *t)
{
    radioRequestTx(BROADCAST_ADDR, TYPE, NULL, 0, NULL);
}
